ubutun18.4 深度学习环境的搭建

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/qq_32425195/article/details/84962843

1.安装双系统

2.搭建nvidia显卡驱动+cuda+cudnn+pytorch+TensorBoardX+visiom+anconda

   2.1安装python的其他的包

3.安装pycharm

4.安装ftp 为知笔记 截图工具

5.安装caffe和digits

6.安装vscode

 

 

1.安装双系统

直接找电脑城的小哥帮忙安装的 自己安装了几次都失败了 

小哥将windows的c盘和整个linux都安装在了固态硬盘上

windows10和Ubutun18.04

 

2.搭建nvidia显卡驱动+cuda+cudnn+pytorch+TensorBoardX+visiom+anconda

如果ubutun18.04系统,则参考:https://blog.csdn.net/weixin_40859436/article/details/83152249

 

某次电脑重启后,屏幕分辨率降低,而且nvidia-smi等命令提示找不到NVIDA驱动,且设置-详细信息-About中的图形下不在是GrForce RTX 2080ti,而是llvm等。这时只能先卸载原有的nvidia驱动,然后下载官方的NVIDIA驱动并手动安装

详细安装步骤参考:https://blog.csdn.net/u012759136/article/details/53355781

在手动安装过程中,注意gcc,g++的版本与ubuntu系统安装时预装的版本一致即可。

卸载原来的nvidia驱动的方法参考:https://blog.csdn.net/WILLIAMMMS/article/details/80791756

 

华硕笔记本禁止BIOS安全模式参考:https://blog.csdn.net/roach_zfq/article/details/53883976

BIOS's Secure Boot menu should show Secure Boot state as "enabled" and Platform Key (PK) state as "loaded"

How to disable the UEFI secure boot:

Make sure the "OS Type" is "Windows UEFI"
Enter "Key Management"
Select "Clear Secure Boot keys" (You will have the option "Install default Secure Boot keys" to restore the default keys after you cleared the Secure Boot Keys)
After you cleared the Secure Boot Keys, Secure Boot will be automatically disabled. You can set the OS Type to Other OS now.
 

 

 

查看cuda和cudnn的版本:

cat /usr/local/cuda/version.txt

cat /usr/local/cuda/include/cudnn.h | grep CUDNN_MAJOR -A 2

其他版本的cuda下载网址https://developer.nvidia.com/cuda-toolkit-archive

此时安装的cuda版本为10.0或者更高

安装完成后安装pytorch,由于当时pytorch最高版本为0.4.1(当前pytorch为1.0,支持cuda10.0,所以下面的步骤不需要了),不支持cuda10.0,所以需要将cuda卸载后重装cuda9.2

卸载cuda:参考https://blog.csdn.net/weixin_40294256/article/details/79173174

ubutun18.04安装cuda9.2:参考https://blog.csdn.net/u010801439/article/details/80483036

https://blog.csdn.net/dihuanlai9093/article/details/79253963/

安装pytorch,只需要登录pytorch的官网https://pytorch.org/,选择对应的,按照下面的安装指导,即可

安装anaconda:anaconda的官网,按照安装指导安装即可

在anaconda目录下,执行chmod -R 555 ./ 将文件改为只读,避免误修改源文件

安装TensorBoardX:

首先安装TensorFlow:

TensorFlow目前最高支持python3.6,而我安装的anaconda中自带的python为3.7  所以安装TensorFlow时参考该文章即可安装:https://www.jianshu.com/p/1a3e194886b4

此处将下载的tensorflow-1.12.0-cp36-cp36m-linux_x86_64.whl改名为tensorflow-1.12.0-cp37-cp37m-linux_x86_64.whl,这是因为pip安装时会严格检查文件名是否与python版本对应(cp36即python3.6),是否与平台对应linux...,所以文件名中每个字都很重要。

 

如果安装的pytorch时0.4.0,则安装TensorBoardX时应该指定版本 pip install tensorboardX==1.2

安装完TensorFlow后安装TensorBoardX(参考TensorBoardX的官网https://github.com/lanpa/tensorboardX):

pip install tensorboardX

顺便提一下  :pip和pip3的区别 https://zhidao.baidu.com/question/494182519781589612.html

当一台电脑同时有多个版本的Python的时候,用pip3就可以自动区分用Python3来安装库。是为了避免和Python2发生冲突的。

如果你的电脑只安装了Python3,那么不管用pip还是pip3都一样的

 

所以安装时要注意包安装的位置,如果安装的不对,我暂时也不知道怎么调整。

 

 

后来又发现pytorch0.4.1运行github上给予pytorch0.4.0的开源程序时,总是出现cuda:out of memeory的错误,所以需要重新安装pytorch0.4.0.而pytorch0.4.0又需要cuda9.0和python3.6

安装cuda9.0:按照上面的设置修改,先卸载原有的cuda,在安装新的cuda

安装python3.6:

一开始安装annaconda,里面预装的是python3.7,python3.7中包含了运行python程序时可以导入的包

anaconda可以安装其他版本的python:

https://conda.io/docs/user-guide/tasks/manage-python.html#id3

conda create -n py36 python=3.6 anaconda  创建一个新的环境为py36,并安装python3.6

创建新的环境后,失活原有环境,激活新的环境

可以在上述目录看到新的环境(.是隐藏目录,ctrl+h可以显示隐藏目录)

但是打开新的终端并没有改变环境,所以需要在~/.bashrc加上两句

加上后,打开就是新的环境

 

在新的环境下安装pytorch

安装方法在下图中

安装后,运行程序,提示缺少google模块

python caffe报错:No module named google

运行pip install protobuf

 

安装visiom:pip install visidom

2.1安装python的其他的包

    安装fire:pip install fire

由于防止anaconda下的源代码文件被误修改,所以sudo chmod -R 555 ./将anaconda下的文件改为只读

安装包时,通过sudo chmod -R 777 ./改变权限后,在安装包,安装后,在通过sudo chmod -R 555 ./将anaconda下的文件改为只读

安装pytorchnet:这个包提供了一些有用的工具,方便分析数据

3.安装pycharm

为啥要安装pycharm:

jupyter notebook交互式操作很舒服,但是一个项目建立多个文件时,浏览python代码等不方便

所以,安装pycharm就是自动分析代码自动跳转,建立一个项目架构的代码时优势明显。

如果有其他好用的,欢迎推荐。

安装并破解并添加桌面图标:看pycharm官网和  http://idea.lanyus.com/    https://blog.csdn.net/qq_40584960/article/details/82952417

windows下的hosts的位置

只需将“0.0.0.0 account.jetbrains.com”添加到hosts文件中

然后在安装时填入激活码即可

4.安装ftp 为知笔记 截图工具

安装ftp是为了和在同一局域网下的window电脑传输文件方便

windows电脑安装winSCP

Linux通过:sudo apt-get install vsftpd             service vsftpd start安装启动FTP程序 如果还不行 ,请百度

 

安装为知笔记:主要是使用和记录方便  安装方法参考官网:http://www.wiz.cn/download.html   http://www.wiz.cn/wiznote-linux.html

Linux为知笔记下载后双击即可运行

 

安装截图工具flameshot:https://blog.csdn.net/xuqiang918/article/details/81193034

安装命令:sudo apt-get install flameshot

设置>设备>键盘,设置一个自定义快捷键(拉到最下面)命令填写:flameshot gui

 

安装谷歌浏览器(看个人情况而定):

wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb 
sudo dpkg -i google-chrome*

sudo apt-get install -f

/usr/bin/google-chrome-stable 

 

 

5.安装caffe和digits

我安装caffe和digits是在刚安装啦ubuntu16.0的基础上 ,自带的python2.7的环境下安装的。

本来打算在anaconda中的python3.6的环境下安装,但是出错比较多,不知如何解决。而在python2.7的环境下则没有那么多奇怪的错误。

 

https://blog.csdn.net/u011974639/article/details/78804299

https://blog.csdn.net/m0_37407756/article/details/70789271

https://blog.csdn.net/xue_wenyuan/article/details/52037121

 

我安caffe时是刚安装啦ubuntu16.04的系统下安装的

参考上面的地址安装,可能遇到的问题

1.error while loading shared libraries: libcudart.so.8.0: cannot open shared object file: No such file or directory

解决:

将相应的库文件复制到/usr/lib

sudo cp /usr/local/cuda-8.0/lib64/libcudart.so.8.0 /usr/local/lib/libcudart.so.8.0 && sudo ldconfig

sudo cp /usr/local/cuda-8.0/lib64/libcublas.so.8.0 /usr/local/lib/libcublas.so.8.0 && sudo ldconfig

sudo cp /usr/local/cuda-8.0/lib64/libcurand.so.8.0 /usr/local/lib/libcurand.so.8.0 && sudo ldconfig

2.hdf5问题

“fatal error: hdf5.h: 没有那个文件或目录

3.注意查看修改Makefile.config文件,包括opencv的版本 cuda的版本等

 

 

安装完caffe则通过make pycaffe安装pycaffe,在当前目录下的/python/caffe下生成caffe,就是对应的python安装包,拷贝到对应的python的目录下, 并把lib安装到制定目录(查看LD_LIBRARY_PATH)

 

 

 

6.安装vscode

https://blog.csdn.net/Among12345/article/details/81874117

启动方式:

可以添加快捷键启动

设置:

更改颜色主题    https://jingyan.baidu.com/article/e5c39bf5da57c639d7603323.html

鼠标滚动缩放字体 https://www.cnblogs.com/bestcode/p/9789099.html

返回上一试图:

 

 

 

 

安装opencv 3.4.0

参考https://blog.csdn.net/weixin_42652125/article/details/81238508

cmake检查配置编译环境:

 

 

make -j8编译

sudo make install

 

安装Notepad++

Linux下的一个文本编辑软件,比内置的文本编辑器好用,使用简单。

参考:

https://blog.csdn.net/Areigninhell/article/details/80252590

sudo add-apt-repository ppa:notepadqq-team/notepadqq
sudo apt-get update

sudo apt-get install notepadqq

检查是否安装成功

    notepadqq &

卸载:

sudo apt-get remove notepadqq

sudo add-apt-repository --removeppa:notepadqq-team/notepadqq
 

 

1

 

展开阅读全文

没有更多推荐了,返回首页